A=imread('E:\work\lena.bmp','bmp');  %读取原始图像lena.bmp到变量空间中，存储为A矩阵
subplot(2,3,1)        %当前图形窗口分隔为2*3块，在第1块显示图像
imshow(A)          % 将矩阵A数据显示为图像
title('原始图像')      %在图像正上方显示标题“原始图像”
B=fliplr(A);         %图像矩阵A左右对调
subplot(2,3,2)
imshow(B);
title('左右对调')
C=flipud(A);       %图像矩阵A上下对调
subplot(2,3,3)
imshow(C)
title('上下对调')
D=rot90(A);        %图像矩阵A逆时针旋转90度
subplot(2,3,4)
imshow(D)
title('逆时针旋转90度')
E=rot90(A,-1);     %图像矩阵A顺时针旋转90度
subplot(2,3,5)
imshow(E)
title('顺时针旋转90度')
F=repmat(A,3,2);   %图像矩阵A平铺3*2块
subplot(2,3,6)
imshow(F)
title('图像平铺2*3块 ')
